public interface DatabaseInterface
{
  /* pre: data != null, the key value of data does not match the key
   *      of any other elements in this 
   * post: data is added to the this
   */
  public void insert(KeyedItemInterface data);
  
  /* pre: id != null
   * post: returns the data value in this that has a key that matches id,
   *       returns null if this does not contain a matching value
   */
  public Object lookup(KeyInterface id);
  
  /* pre: id != null
   * post: removes the data value in this that has a key that matches id and returns that object,
   *       returns null if this does not contain a matching value
   */
  public Object remove(KeyInterface id);

}
