public class Node
{
  private Object item;
  private Node next;
  
  public Node(Object newItem)
  {
    this.item = newItem;
    this.next = null;
  }
  
  public Node(Object newItem, Node nextNode)
  {
    this.item = newItem;
    this.next = nextNode;
  }
  
  public void setItem(Object newItem)
  {
    this.item = newItem;
  }
  
  public Object getItem()
  {
    return this.item;
  }
  
  public void setNext(Node nextNode)
  {
    this.next = nextNode;
  }
  
  public Node getNext()
  {
    return this.next;
  }

}
